Page MenuHomePhabricator

Jobrunner OOMs in jobchron before sending the redis commands to undelay jobs
Closed, ResolvedPublic

Description

This was mentioned on https://gerrit.wikimedia.org/r/#/c/208397/.

https://gerrit.wikimedia.org/r/#/c/208408/ fixes this but resulted in too much CPU time on the servers. Oddly enough it used batches of 500 instead of the 1000 from the prior code, which somehow worked before the OOM problem.

Details

Related Gerrit Patches:
mediawiki/services/jobrunner : masterAdded PeriodicScriptParamsIterator class to avoid OOMs

Event Timeline

aaron created this task.May 3 2015, 3:33 PM
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added a subscriber: aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2015, 3:33 PM
aaron set Security to None.
aaron added a subscriber: hoo.
hoo triaged this task as High priority.May 4 2015, 10:30 PM
hoo added subscribers: Lydia_Pintscher, Sjoerddebruin.

Change 208852 merged by jenkins-bot:
Added PeriodicScriptParamsIterator class to avoid OOMs

https://gerrit.wikimedia.org/r/208852

Catrope added a subscriber: Catrope.Jun 2 2015, 6:46 PM

Change 208852 merged by jenkins-bot:
Added PeriodicScriptParamsIterator class to avoid OOMs
https://gerrit.wikimedia.org/r/208852

Does this patch (which was deployed yesterday) fix the bug?

aaron closed this task as Resolved.Jun 2 2015, 8:54 PM
aaron claimed this task.